> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document



## OpenAPI

````yaml get /v1/documents/{id}
openapi: 3.0.0
info:
  title: Document APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/document
  - url: https://staging.api.eu.aptlydone.com/document
  - url: https://api.us.aptlydone.com/document
  - url: https://api.eu.aptlydone.com/document
security: []
tags: []
paths:
  /v1/documents/{id}:
    get:
      tags:
        - documents
      summary: Get document
      operationId: DocumentController_getDocumentById_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Document details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDocumentByIdResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    GetDocumentByIdResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:12:23.874Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/GetDocumentByIdResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    GetDocumentByIdResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 550e8400-e29b-41d4-a716-446655440100
        tenantId:
          type: string
          description: Unique identifier for the tenant
          example: 550e8400-e29b-41d4-a716-446655440000
        documentName:
          type: string
          description: Name of the document
          example: Global Delegation of Authority Policy - ProxyComm Inc.
        documentDescription:
          type: string
          description: Description of the document
          example: >-
            Defines the framework for delegating authority across ProxyComm's
            global operations, outlining roles, responsibilities, and
            decision-making limits to ensure compliance, accountability, and
            operational consistency.
        documentMetadata:
          type: object
          description: Metadata of the document in JSON format
          example: '{ "code": "GOV-DFA-2", "version": "2024.2" }'
        fileId:
          type: string
          nullable: true
          description: Unique identifier for the associated file
          example: 550e8400-e29b-41d4-a716-446655440001
        documentTypeId:
          type: string
          nullable: true
          description: Optional identifier for document type
          example: 550e8400-e29b-41d4-a716-446655440002
        documentStatus:
          type: string
          description: Status of the document
          enum:
            - DRAFT
            - PUBLISHED
            - ARCHIVED
            - DELETED
          example: DRAFT
        documentSharingType:
          type: string
          description: Sharing type of the document
          enum:
            - PUBLIC
            - RESTRICTED
            - SHARED
          example: RESTRICTED
        documentIcon:
          type: string
          description: Icon representing the document
          example: link-outlined
        documentOwnerId:
          type: string
          description: Unique identifier of the document owner
          example: 550e8400-e29b-41d4-a716-446655440003
        documentUploadType:
          type: string
          description: Type of document upload
          enum:
            - LINKED
            - UPLOADED
          example: LINKED
        documentUrl:
          type: string
          nullable: true
          description: Url for the LINKED document
          example: intranet.sharepoint.proxycomm.com/2024delegationofauthority.policy
        uploadedOn:
          format: date-time
          type: string
          description: Date when the document was uploaded
          example: '2025-02-13T12:00:00Z'
        lastUpdatedBy:
          type: string
          nullable: true
          description: Unique identifier of the last user who updated the document
          example: 550e8400-e29b-41d4-a716-446655440004
        lastUpdatedOn:
          format: date-time
          type: string
          nullable: true
          description: Date when the document was last updated
          example: '2025-02-14T15:30:00Z'
        archivedOn:
          format: date-time
          type: string
          nullable: true
          description: Date when the document was archived
          example: '2025-03-01T10:00:00Z'
        deletedOn:
          format: date-time
          type: string
          nullable: true
          description: Date when the document was deleted
          example: '2025-04-01T12:00:00Z'
        documentDisplayId:
          type: string
          description: Document Display ID
          example: '10000'
        link:
          type: string
          example: >-
            /documents/view/eyJ0ZW5hbnRJZCI6IjU1MGU4NDAwLWUyOWItNDFkNC1hNzE2LTQ0NjY1NTQ0MDAwMCIsImRvY3VtZW50SWQiOiJjMDBjMGNkNy03ZmJjLTRmZTEtOWYxMy1lYzc5OTlmMjhjNDgifQ==
          description: Document Link
        documentId:
          type: string
          description: Document ID associated with the detailed document
          example: 550e8400-e29b-41d4-a716-446655440100
        documentTypeName:
          type: string
          nullable: true
          description: Document type name
          example: Policy
        documentOwnerUsername:
          type: string
          description: Document owner username
          example: John Doe
        decisionsCount:
          type: number
          example: 0
          description: No. of decisions linked to the document
        delegationsCount:
          type: number
          example: 0
          description: No. of delegations linked to the document
        oversightStatuses:
          description: >-
            Array containing document oversight review status & approval status
            (whichever are enabled & applicable, if any)
          example:
            - REVIEW_PENDING
            - APPROVAL_PENDING
          type: array
          items:
            type: string
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
        isReviewerEnable:
          type: boolean
          description: whether the document oversight enabled for reviewer
          example: true
        isApprovalEnable:
          type: boolean
          description: whether the document oversight enabled for approver
          example: true
        isApprovalActionExist:
          type: boolean
          description: whether the document action exists for approver
          example: true
        isReviewerActionExist:
          type: boolean
          description: whether the document action exists for reviewer
          example: true
        isApprovalUser:
          type: boolean
          description: whether document approval user and logged in user are same
          example: true
        isReviewerUser:
          type: boolean
          description: whether document reviewer user and logged in user are same
          example: true
        isSettingApprovalActionEnabled:
          type: boolean
          description: whether the document action enable in settings for approver
          example: true
        isSettingReviewerActionEnabled:
          type: boolean
          description: whether the document action enable in settings for reviewer
          example: true
        documentSharingGroups:
          description: Document Sharing Groups
          type: array
          items:
            $ref: '#/components/schemas/DocumentSharingGroupResponseDto'
        documentSharingUsers:
          description: Document Sharing Users
          type: array
          items:
            $ref: '#/components/schemas/DocumentSharingUserResponseDto'
        documentOversight:
          description: Document Oversight
          allOf:
            - $ref: '#/components/schemas/DocumentOversightResponseDto'
        file:
          description: Document File
          allOf:
            - $ref: '#/components/schemas/FileCommonDto'
      required:
        - id
        - tenantId
        - documentName
        - documentDescription
        - documentMetadata
        - fileId
        - documentTypeId
        - documentStatus
        - documentSharingType
        - documentIcon
        - documentOwnerId
        - documentUploadType
        - documentUrl
        - uploadedOn
        - lastUpdatedBy
        - lastUpdatedOn
        - archivedOn
        - deletedOn
        - documentDisplayId
        - link
        - documentId
        - documentTypeName
        - documentOwnerUsername
        - decisionsCount
        - delegationsCount
        - documentSharingGroups
        - documentSharingUsers
        - documentOversight
        - file
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: permission allowed
          nullable: false
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
      required:
        - relationship_key
    DocumentSharingGroupResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the document sharing group relation
          example: 550e8400-e29b-41d4-a716-446655440100
        documentId:
          type: string
          description: Unique identifier for the document
          example: 550e8400-e29b-41d4-a716-446655440100
        groupId:
          type: string
          description: Unique identifier for the group
          example: 550e8400-e29b-41d4-a716-446655440012
        tenantGroupTypeId:
          type: string
          description: Unique identifier for the tenant group type
          example: 550e8400-e29b-41d4-a716-446655440013
      required:
        - id
        - documentId
        - groupId
        - tenantGroupTypeId
    DocumentSharingUserResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the document sharing user relation
          example: 550e8400-e29b-41d4-a716-446655440100
        documentId:
          type: string
          description: Unique identifier for the document
          example: 550e8400-e29b-41d4-a716-446655440100
        userId:
          type: string
          description: Unique identifier for the user
          example: 550e8400-e29b-41d4-a716-446655440012
      required:
        - id
        - documentId
        - userId
    DocumentOversightResponseDto:
      type: object
      properties:
        reviewerUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the reviewer user
          example: http://test.jpg
        responsibleUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the responsible user
          example: http://test.jpg
        approverUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the approver user
          example: http://test.jpg
        documentOwnerProfileUrl:
          type: string
          nullable: true
          description: profile url of the owner user
          example: http://test.jpg
        responsiblePositionId:
          type: string
          nullable: true
          description: Position ID of the responsible
          example: 550e8400-e29b-41d4-a716-446655440004
        responsiblePositionName:
          type: string
          nullable: true
          description: Position name of the responsible
          example: Sr. Corporate Counsel
        responsibleUserId:
          type: string
          nullable: true
          description: User ID responsible for the document
          example: 550e8400-e29b-41d4-a716-446655440002
        responsibleUsername:
          type: string
          nullable: true
          description: Username of the responsible user
          example: John Doe
        reviewerUserId:
          type: string
          nullable: true
          description: User ID of the reviewer
          example: 550e8400-e29b-41d4-a716-446655440003
        reviewerUsername:
          type: string
          nullable: true
          description: Username of the reviewer
          example: John Doe
        reviewerPositionId:
          type: string
          nullable: true
          description: Position ID of the reviewer
          example: 550e8400-e29b-41d4-a716-446655440004
        reviewerPositionName:
          type: string
          nullable: true
          description: Position name of the reviewer
          example: Sr. Corporate Counsel
        approverUserId:
          type: string
          nullable: true
          description: User ID of the approver
          example: 550e8400-e29b-41d4-a716-446655440005
        approverUsername:
          type: string
          nullable: true
          description: Username of the approver
          example: John Doe
        approverPositionId:
          type: string
          nullable: true
          description: Position ID of the approver
          example: 550e8400-e29b-41d4-a716-446655440006
        approverPositionName:
          type: string
          nullable: true
          description: Position name of the approver
          example: Sr. Corporate Counsel
        id:
          type: string
          description: Unique identifier for the document oversight
          example: 550e8400-e29b-41d4-a716-446655440000
        documentId:
          type: string
          description: Document ID associated with the oversight
          example: 550e8400-e29b-41d4-a716-446655440100
        reviewStatus:
          type: string
          description: Review status of the document
          example: REVIEW_PENDING
        reviewedOn:
          format: date-time
          type: string
          nullable: true
          description: Timestamp when the document was reviewed
          example: '2025-02-13T12:00:00Z'
        approvalStatus:
          type: string
          description: Approval status of the document
          example: APPROVAL_PENDING
        approvedOn:
          format: date-time
          type: string
          nullable: true
          description: Timestamp when the document was approved
          example: '2025-02-14T15:30:00Z'
      required:
        - id
        - documentId
        - reviewStatus
        - approvalStatus
    FileCommonDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the file
          example: 550e8400-e29b-41d4-a716-446655440000
        name:
          type: string
          description: Name of the file
          example: project_document.pdf
        type:
          type: string
          description: Type of the file
          example: application/pdf
        link:
          type: string
          description: Link to the file storage
          example: https://example.com/files/project_document.pdf
      required:
        - id
        - name
        - type
        - link
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````